Bug 77680 - Linksys Etherfast LANmodem 56k (pcmlm56) does not work in 8.0
Linksys Etherfast LANmodem 56k (pcmlm56) does not work in 8.0
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-11 17:26 EST by Paul Meighan
Modified: 2015-01-04 17:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-25 03:27:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Meighan 2002-11-11 17:26:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)

Description of problem:
Initially, starting pcmcia caused my laptop (IBM Thinkpad 600) to completely 
lock up. I was able to make some progress when I made this change 
in /etc/pcmcia/config.opts:

# diff /etc/pcmcia/config.opts /etc/pcmcia/config.opt.orig
8c8,9
#include port 0x100-0x4ff
>include port 0xc00-0xcff
#

Commenting out the include of port 0x100-0x4ff changes the behavior. Now 
instead of locking up the computer when I try and start pcmcia, it acts like 
it's starting, (beeps appropriately) but fails with these errors in dmesg:

divert: allocating divert_blk for eth0
eth0: pcnet_reset_8390() did not complete.
pcnet_cs: unable to read hardware net address for io base 0xa20
divert: freeing divert_blk for eth0

in messages it also complains:

cardmgr[764]: socket 1: Linksys EtherFast LANmodem 56k
cardmgr[764]: executing: 'modprobe pcnet_cs'
cardmgr[764]: executing: 'modprobe serial_cs'
kernel: eth0: pcnet_reset_8390() did not complete.
kernel: pcnet_cs: unable to read hardware net address for io base 0xa20
cardmgr[764]: get dev info on socket 1 failed: No such device

Linux knows the card is there at this point, but neither the modem nor eth0 
actually work.

I tried upgrading card services to no avail. (no change in behavior at all.) 
I'm running 3.2.3 now.




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Redat 8.0 (on IBM Thinkpad 600 with pcmlm56 pc card)
2. run /etc/rc.d/init.d/pcmcia start
	

Additional info:
Comment 1 Alan Cox 2002-11-25 07:12:32 EST
I run Red Hat 8.0 on the IBM TP600 as well as it happens. The PCMCIA howto has
some notes on the thinkpad regions to exclude.

Note You need to log in before you can comment on or make changes to this bug.